
CombineAhead = {}
CombineAhead.__index = CombineAhead

function CombineAhead.new(x, y, fallSpeed, lifeTime)
    local self = Item.new(x, y, fallSpeed, lifeTime):extend(CombineAhead)

    self.tags:add('combineahead')

    return self
end

function CombineAhead.getAll(...)
    return Thing.getAll('combineahead', ...)
end

function CombineAhead:draw()
    g.push()
    g.translate(self.x, self.y)
    g.scale(self.r/content.images.combineahead_r)
    g.setColor(50, 255, 255, 255*self.remainTime/self.lifeTime)
    g.draw(content.images.combineahead, -content.images.combineahead_hw, -content.images.combineahead_hh)
    g.pop()
end

function CombineAhead:active()
    Item.active(self)

    --cant choose when this item in progess
    Defend.instance().choose = function () end
    Defend.instance():chooseEx(Gun, Cover)
    Defend.instance():setDraw(false)
end

function CombineAhead:deactive()
    Defend.instance().choose = nil
    Defend.instance():chooseEx(Gun)
    Defend.instance():setDraw(true)

    Item.deactive(self)
end