
CombineBack = {}
CombineBack.__index = CombineBack

function CombineBack.new(x, y, fallSpeed, lifeTime)
    local self = CombineAhead.new(x, y, fallSpeed, lifeTime):extend(CombineBack)

    self.tags:remove('combineahead')
    self.tags:add('combineback')

    return self
end

function CombineBack.getAll(...)
    return Thing.getAll('combineback', ...)
end

function CombineBack:draw()
    g.push()
    g.translate(self.x, self.y)
    g.scale(self.r/content.images.combineback_r)
    g.setColor(50, 255, 255, 255*self.remainTime/self.lifeTime)
    g.draw(content.images.combineback, -content.images.combineback_hw, -content.images.combineback_hh)
    g.pop()
end

function CombineBack:active()
    CombineAhead.active(self)

    Cover.instance().opposite = true
end

function CombineBack:deactive()
    Cover.instance().opposite = false

    CombineAhead.deactive(self)
end