
Score = {}
Score.__index = Score

local instance = nil

function Score.new()
    if instance and instance:alive() then return instance end

    instance = Thing.new({'score'}):extend(Score)

    instance.current = 0

    return instance
end

function Score.instance()
    assert(instance, 'instance expects new before')

    return instance
end

function Score:draw()
    g.setColor(0, 250, 150, 200)
    g.setFont(content.fonts.normal)
    g.print('Score: ' .. self.current, 800, 10)
end

function Score:add(amount)
    self.current = self.current + amount
end